# Uses of Enum Class
org.apache.sysds.hops.codegen.cplan.CNodeBinary.BinType

Packages that use CNodeBinary.BinType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.cplan.cuda
org.apache.sysds.hops.codegen.cplan.java
org.apache.sysds.hops.codegen.template

## Uses of CNodeBinary.BinType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return CNodeBinary.BinType
Modifier and Type
Method
Description
`CNodeBinary.BinType`
CNodeBinary.`getType()`
`CNodeBinary.BinType`
CNodeBinary.BinType.`getVectorAddPrimitive()`
`static CNodeBinary.BinType`
CNodeBinary.BinType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CNodeBinary.BinType[]`
CNodeBinary.BinType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeBinary.BinType
Modifier and Type
Method
Description
`String`
CodeTemplate.`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)`
`String`
CodeTemplate.`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)`
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeBinary.BinType
Modifier
Constructor
Description
``
`CNodeBinary(CNode in1, CNode in2, CNodeBinary.BinType type)`
``
`CNodeBinary(CNode in1, CNode in2, CNodeBinary.BinType type, double sparsityEst, double scalarVal)`

## Uses of CNodeBinary.BinType in org.apache.sysds.hops.codegen.cplan.cuda

Methods in org.apache.sysds.hops.codegen.cplan.cuda with parameters of type CNodeBinary.BinType
Modifier and Type
Method
Description
`String`
Binary.`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector)`

## Uses of CNodeBinary.BinType in org.apache.sysds.hops.codegen.cplan.java

Methods in org.apache.sysds.hops.codegen.cplan.java with parameters of type CNodeBinary.BinType
Modifier and Type
Method
Description
`String`
Binary.`getTemplate(CNodeBinary.BinType type, boolean sparseLhs, boolean sparseRhs, boolean scalarVector, boolean scalarInput, boolean vectorVector, boolean sparseTemplate)`

## Uses of CNodeBinary.BinType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template with parameters of type CNodeBinary.BinType
Modifier and Type
Method
Description
`static boolean`
TemplateUtils.`containsBinary(CNode node, CNodeBinary.BinType type)`
`static boolean`
TemplateUtils.`isBinary(CNode node, CNodeBinary.BinType... types)`
`static boolean`
TemplateUtils.`rContainsBinary(CNode node, CNodeBinary.BinType type)`
`static boolean`
TemplateUtils.`rIsSparseSafeOnly(CNode node, CNodeBinary.BinType... types)`